Bug 493898 - S-c-tools cleanup: make OK button insensitive when no action has been taken.
S-c-tools cleanup: make OK button insensitive when no action has been taken.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: system-switch-java (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: 493616
  Show dependency treegraph
 
Reported: 2009-04-03 06:10 EDT by Roman Rakus
Modified: 2014-01-12 19:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-19 14:37:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch that replaces the close button with OK and Cancel buttons (3.71 KB, patch)
2009-08-18 08:06 EDT, Radek Novacek
no flags Details | Diff

  None (edit)
Description Roman Rakus 2009-04-03 06:10:57 EDT
Description of problem:
"OK" button is sensitive even no changes were done but it should be insensitive when "Cancel" button available.

How reproducible: 
/*places*/

Steps to Reproduce:
1. invoke some dialog
2. check if "OK" button is sensitive

Actual results:
"OK" button is sensitive.

Expected results:
"OK" should not be sensitive.

Additional info:
This bug report is part of "System Configuration Tools Cleanup Project". Don't hesitate to ask project maintainers for any kind of help.
Comment 1 Radek Novacek 2009-08-18 08:06:00 EDT
Created attachment 357779 [details]
Proposed patch that replaces the close button with OK and Cancel buttons

There isn't any OK button in the application - there is only Close. So I replaced the Close button with OK and Cancel buttons and made the OK button change sensitive.
Comment 2 Deepak Bhole 2009-08-19 14:37:21 EDT
Thanks for the patch! Applied upstream, and new package built:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1615312

Note You need to log in before you can comment on or make changes to this bug.